#!/bin/bash

# get existing container ID
EXISTING_CONTAINER="$(docker inspect --format="{{.Id}}" eom-service-printing-eformz)"
echo ${EXISTING_CONTAINER}
if [ -z ${EXISTING_CONTAINER+x} ]; 
then
    echo "did not find an existing eformz container"
else
    echo "stop and remove existing eformz container"
    docker stop ${EXISTING_CONTAINER}
    docker rm ${EXISTING_CONTAINER}
fi

echo "building new eformz image"
docker build -t niketest/eom-service-printing-eformz .

echo "running latest eformz container"
docker run -d --network bridge -p 8001:8001 -p 8022:22 -p 6631:631  \
            -v $(pwd)/example.eFORMz.xml:/minisoft/eFORMz.xml \
            -v $(pwd)/projects:/minisoft/projects \
            -v $(pwd)/config/cupsd/printers.conf:/etc/cups/printers.conf \
            -v $(pwd)/config/cupsd/cupsd.conf:/etc/cups/cupsd.conf \
            -v $(pwd)/config/cupsd/ppd:/etc/cups/ppd \
            --name eom-service-printing-eformz \
            niketest/eom-service-printing-eformz


